Bug 13506 - Sip/Configuration/*.pm classes are unused
Summary: Sip/Configuration/*.pm classes are unused
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14644
  Show dependency treegraph
 
Reported: 2015-01-02 10:21 UTC by Colin Campbell
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (7.14 KB, patch)
2015-01-02 11:14 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 13506: Remove unused Sip/Configuration Classes (7.29 KB, patch)
2015-02-16 15:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13506: Remove unused Sip/Configuration Classes (7.37 KB, patch)
2015-02-20 13:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13506 [QA Follouwp] - Fix POD (1.28 KB, patch)
2015-02-20 13:52 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2015-01-02 10:21:34 UTC
The classes Sip::Configuration::Account, Sip::Configuration::Institution and Sip::Configuration::Service are not actually used. Sip::Configuration calls new on all three but does not save the returned objects. Access to accounts, institutions and services is always to the hashref stored in the Configuration object not to objects of these classes. The Config code should be cleaned up by removing these Classes
Comment 1 Colin Campbell 2015-01-02 11:14:51 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-02-16 15:21:53 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-16 15:22:37 UTC
There is 1 occurrence of Sip::Configuration::Institution left in C4/SIP/ILS.pod. Maybe should it be removed?
Comment 4 Kyle M Hall 2015-02-20 13:52:43 UTC
Created attachment 36083 [details] [review]
[PASSED QA] Bug 13506: Remove unused Sip/Configuration Classes

Sip::Configuration calls new on Account, Institution and Service
classes but does not store or subsequently use the returned objects
( which immediately go out of scope ). Their existence just obscures
the code and misleads the reader. Remobe them

Removed redundant commented out code from Configyration module which
was not serving any useful purpose

Ran Configuration.pm through perltidy to make layout more
consistent

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2015-02-20 13:52:54 UTC
Created attachment 36084 [details] [review]
Bug 13506 [QA Follouwp] - Fix POD
Comment 6 Tomás Cohen Arazi 2015-02-20 18:49:05 UTC
Patches pushed to master.

Thanks Colin!